package org.loom.simpleds;

import org.tldgen.annotations.BodyContent;
import org.tldgen.annotations.Tag;
import org.simpleds.PagedList;

/**
 * Adapter class to present simpleds data in a PagedList 
 * @author icoloma
 *
 */
@Tag(
		dynamicAttributes=true,
		bodyContent=BodyContent.SCRIPTLESS
	)
public class PagedTableTag extends org.loom.tags.paged.PagedTableTag {

	public void setData(PagedList<?> data) {
		super.setData(new PagedListAdapter(data));
	}
	
}
