package org.loom.simpleds.functions;

import org.loom.util.StringUtils;

import com.google.common.base.Function;

/**
 * Transform a Long value tio the corresponding Base58 representation 
 * @author icoloma
 */
public class IdToBase58Function implements Function<Long, String> {

	@Override
	public String apply(Long id) {
		return id == null? null : StringUtils.numberToAlpha(id);
	}

}
